Create a document listing all the steps for a Discovery A/B test
Closed, ResolvedPublic1 Story Points

Description

I'm imagining everything from "Define the A/B test" through "schedule deployment of the config change to enable the test" through "Sanity-check data after 24 hours" through "Publish final report". Importantly it would also have things like "Create phab tickets for upcoming tasks X, Y, and Z". There are probably a dozen more steps in there. Presumably this should be on wiki, and would serve as a nice timeline-based checklist for what we need to do.

ksmith created this task.Sep 14 2015, 11:37 PM
ksmith updated the task description. (Show Details)
ksmith raised the priority of this task from to Needs Triage.
ksmith added a project: Discovery.
ksmith added a subscriber: ksmith.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2015, 11:37 PM
Deskana triaged this task as Normal priority.Sep 14 2015, 11:40 PM
Deskana added a subscriber: Deskana.

Good idea. Some of this documentation will help reduce bus factor, other bits of it will just be more mechanical.

It could also help other departments as they ramp up their testing. And of course we could learn from them as well.

Deskana moved this task from Needs triage to Analysis on the Discovery board.Oct 27 2015, 10:12 AM
mpopov claimed this task.
mpopov edited a custom field.Oct 29 2015, 10:12 PM
Deskana closed this task as Resolved.Dec 24 2015, 1:31 AM